My Oracle Support Banner

[PCA 3.x] Compute Node Error 'libvirtError: authentication failed: Failed to verify peer's certificate' (Doc ID 2858676.1)

Last updated on APRIL 07, 2022

Applies to:

Private Cloud Appliance X9-2 - Version Not Applicable to Not Applicable [Release NA]
Linux x86-64

Symptoms

In Compute Nodes, the ovm-agent is using TLS/TCP for both local and remote communications with libvirt daemon (libvirtd).

It should not cause issues on fresh installed Compute Nodes (CNs). However, it may cause issues when doing manual installations of ovm-agent rpms on CNs, especially on provisioned CNs.

Currently, ovm-agent rpm installation resets libvirt's TLS certificates to defaults, which may affect:

Compute Node /var/log/ovm-agent.log reports libvirt connection failure:

[2021-12-20 09:58:34 12245] ERROR (connection:94) libvirt connect error: authentication failed: Failed to verify peer's certificate 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.